Package com.tietoenator.trip.jxp.session

# Enum Class TdbInterfaceType

java.lang.Object
java.lang.Enum<TdbInterfaceType>
com.tietoenator.trip.jxp.session.TdbInterfaceType

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbInterfaceType>`, `Constable`

public enum TdbInterfaceType extends Enum<TdbInterfaceType>
Interface containing the types of connection supported by this library

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANY`
  Any connection type at all
  `GRID`
  Web service connection to a TRIPgrid router
  `LOCAL`
  Local connection via direct DLL linkage, currently unsupported
  `NET`
  TRIPnet connection
  `PHYSICAL`
  Any physical connection, i.e. anything but a TRIPgrid router
  `WEB`
  Web service connection to a standalone server

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `supports(TdbInterfaceType check)`
  Check the provided interface type, see if the current type supports that connection.
  `static TdbInterfaceType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbInterfaceType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LOCAL

    public static final TdbInterfaceType LOCAL
    Local connection via direct DLL linkage, currently unsupported

  - ### NET

    public static final TdbInterfaceType NET
    TRIPnet connection

  - ### WEB

    public static final TdbInterfaceType WEB
    Web service connection to a standalone server

  - ### GRID

    public static final TdbInterfaceType GRID
    Web service connection to a TRIPgrid router

  - ### PHYSICAL

    public static final TdbInterfaceType PHYSICAL
    Any physical connection, i.e. anything but a TRIPgrid router

  - ### ANY

    public static final TdbInterfaceType ANY
    Any connection type at all

- ## Method Details

  - ### values

    public static TdbInterfaceType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbInterfaceType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### supports

    public boolean supports(TdbInterfaceType check)
    Check the provided interface type, see if the current type supports that connection.
    Parameters:
      `check` - The interface type to check
    Returns:
      True if the current interface supports that connection type